
BEGIN {
  symbol_count = 0
  UNIQUESTR = "#$#"
}

NF > 0 {
   if (function_namendex[$1] == 0) {
       symbol_count++
       function_namendex[$1] = symbol_count
       function_name[symbol_count] = $1
   }

   diff[$1 UNIQUESTR $2] = $3
}

END {

 for (i=1; i <= symbol_count; i++) {
      fn_i = function_name[i]
      for (j =1; j<= symbol_count; j++) {
         fn_j = function_name[j]
         elem = diff[fn_i UNIQUESTR fn_j]
         if (elem == 0) elem = 0;
         printf "%d ", elem
      }
      printf "\n"
 }

}

