
BEGIN {
  function_count = 0
}

NF > 0 {
   if (function_namendex[$1] == 0) {
       function_count++

       function_name[function_count] = $1
       file_defined_in[function_count] = $2
   }
}

END {
    if (debug == 1) {
      for (i = 1; i <= function_count; i++) {
	printf "%d,%s,%s\n", i, function_name[i], file_defined_in[i]
      }
    }
     for (i = 1; i <= function_count; i++) {
	  fn_i = function_name[i]
	  for (j = 1; j <= function_count; j++) {
	     fn_j = function_name[j]

	     if (file_defined_in[i] == file_defined_in[j]) {
                 printf "1 "
	     } else {
		 printf "0 "
	     }
	   }
	  printf "\n"
     }

}

