#ifndef __BINDING_H
#define __BINDING_H

#include "vectors.h"
#include "suppvect.h"
#include "clustvect.h"

typedef struct{
		int dim_b;
		int * b_vect;
	      } Bind_str;

typedef Bind_str * Bind_mat;

Bind_mat createBindingMatrix(int dim);

Bind_mat sCreateBindingMatrix(int * bind_arr, int dim);

void readIntoBindMatrix(Bind_mat bind, int row, int col, int val);

void computeBinding(I_vect suppress, Cl_vect clust_vect, 
		    Bind_mat bind);

void computeBindingSum(Bind_mat bind, I_vect suppress,
		  I_vect bind_sum);

int getBindingSum(I_vect bind_sum, int index);

void printBindMatrix(Bind_mat bind, I_vect suppress);

#endif
