#ifndef __CLUSTVECT_H
#define __CLUSTVECT_H

typedef struct{
		int dim_c;
		int * c_vect;
	      } Clust_str;

typedef Clust_str * Cl_vect;

Cl_vect createClustVector(int dim);		/* constructor */

void destroyClustVector(Cl_vect clust_vect);	/* destructor */

int updateClustVector(Cl_vect clust_vect, 
			int row, 
			int col, 
			int cluster);

int getClustHead(Cl_vect clust_vect, int member);
		/* same as clleader */

int isClustHead(Cl_vect clust_vect, int member);
		/* return true/false */

int isClustered(Cl_vect clust_vect, int member);

int inSameCluster(Cl_vect clust_vect, int member1, int member2);
		/* to see if two elements belong in the same cluster */


void resetClustVector(Cl_vect clust, int val);
		/* reset could be local function */

int getCluster(Cl_vect clust_vect, int member);

void printClustVector(Cl_vect clust, char * vect_name);

#endif


