#include <stdio.h>
#include "errors.h"
#include "globals.h"

void * emalloc(int size, char * string)
{
	void * ret_val;
	char * std_msg = "Could not create..";

	ret_val = (void *) malloc(size);
	if (ret_val == NULL)
	{
	   myError((char *) strcat(std_msg,string));
	}
	return ret_val;
}


void * ecalloc(int dim, int size_of_one, char * string)
{
	void * ret_val;
	char * std_msg = "Could not create...";
	
	ret_val = (void *) calloc(dim, size_of_one);
	if (ret_val == NULL)
	{
	   myError((char *) strcat(std_msg, string));
	}
	return ret_val;
}


Options setOptions( int debug,
		    int trace,
		    int mode,
		    int cluster,
		    int reorder)
{
	Options state;

	setDebugOption(state, debug);
	setTraceOption(state, trace);
	setModeOption(state, mode);
	setClusterOption(state, cluster);
	setReorderOption(state, reorder);

	return state;
}
