#include <stdio.h>

#include "bclust.h"
#include "globals.h"
#include "vectors.h"
#include "binding.h"
#include "distance.h"
#include "suppvect.h"
#include "clustvect.h"

void S_bclust(int *dimp,
              int * bind,
              int *merge,
              float *height,
              int *order,
              int *debugp,
              int *modep,
              int *tracep) 
{
int dim;
int debug;
int mode;
int trace;

int i;

    dim= *dimp ;
    debug= *debugp;
    mode= *modep;
    trace= *tracep;


  printf("Dimension: %d Debug: %d Trace: %d Mode %d \n", dim, debug, trace, mode);

   printf("Binding vector \n");
   for (i =0; i< dim*dim; i++) printf("%d ", ((int *)bind)[i]); 
   printf("\n");

   printf("Merge vector \n");
   for (i=0; i<dim*2; i++) { 
     printf("%d ", merge[i]);
     merge[i] = (dim*2)-i;
   }
   printf("\n");

   printf("Height vector\n");
   for (i=0; i<dim-1; i++) {
     printf("%f ", height[i]);
     height[i] = i;
   }
   printf("\n");

   printf("Order vector \n");
   for (i=0; i<dim; i++) {
     printf("%d ", order[i]);
     order[i] = i;
   }
   printf("\n");

}

