#ifndef __VECTORS_H
#define __VECTORS_H

#define R_ABSURD -99.9

/* arrays of float and int of dimension dim */
typedef struct{
	int dim_i;
	int * i_vect;
	}  I_str;

typedef I_str *I_vect;

typedef struct{
	int dim_r;
	float * r_vect;
	}  R_str;

typedef R_str *R_vect;


I_vect createIntVector(int dim);

void destroyIntVector(I_vect vect);	

void setIntVector(I_vect vect, int loc, int val);

void resetIntVector(I_vect vect, int val);

int getIntValue(I_vect vect, int pos);

void printIntVector(I_vect vect, char * vect_name);

/******************* now for all floats ********************/
R_vect createRealVector(int dim);

void destroyRealVector(R_vect vect);	

void setRealVector(R_vect vect, int loc, float val);

void resetRealVector(R_vect vect, float val);

float getRealValue(R_vect vect, int pos);

void printRealVector(R_vect vect, char * vect_name);

#endif   
