
outputH <- function(h, lb, sysparam, display="none")
{
    if (display != "none") {
       plclust(h, label=lb)
       title(makeTitle(sysparam))
    }
}

outputG <- function(g, sysparam, display="none")
{ 
   if (display != "none") {
      title(paste("\n Goodness = ", g))
   }
}

outputF <- function(f, sysparam, display="none")
{ 
   if (display != "none") {
      title(paste("\n\n Factor = ", 
                        f$functions.used, "/", f$functions.in.system,
                        " =  ",
                        f$functions.used/f$functions.in.system))
   }
}

outputFG <- function(fg, sysparam, display="none")
{ 
   if (display != "none") {
      title(paste("\n\n\n Factored goodness = ", fg))
   }
}


makeTitle <- function (sysparam)
{
    paste( sysparam$system, 
           sysparam$querytype,
           sysparam$key,
           "method=", sysparam$method
        )
}
