
BEGIN {
  symbol_count = 0
  UNIQUESTR = "#$#"
}

NF > 0 {
   if (function_namendex[$1] == 0) {
       symbol_count++
       function_namendex[$1] = symbol_count
       function_name[symbol_count] = $1
   }

}

END {
  for (i=1; i <= symbol_count; i++) {
    fn = function_name[i];
    printf "%s\n", fn
  }
} 


