#ifndef __BCLUST_H
#define __BCLUST_H

#include "globals.h"
#include "binding.h"
#include "tree.h"


void S_bclust(int *dimp,
              int *bind,
              int *merge,
              float *height,
              int *order,
              int *debugp,
              int *modep,
              int *tracep,
	      int *clusterp,
              char **reorderp
             );

void S_pairwiseDistance( int *dimp, 
			 int *merge,
			 float *height,
			 int *order,
			 float *pair_dist,
			 int *debugp
		       );

void bclust(int dim,
		Bind_mat bind, 
		Tree_ptr tree,
		Options state);



#endif
