#ifndef __SUPPVECT_H
#define __SUPPVECT_H

#include <stdio.h>
#include "clustvect.h"
#include "vectors.h"

void updateSuppressVector(I_vect suppress, Cl_vect clust_vect);

I_vect createSuppressVector(int dim);

void destroySuppressVector(I_vect suppress);

void resetSuppressVector(I_vect suppress);

int isSuppressed(I_vect suppress, int member);

int countSuppressed(I_vect suppress);

void printSuppressVector(I_vect suppress);

void  stringSuppressVector(I_vect suppress_vector, char *suppress_list);

#endif
