
print("Loading sources ..")

ClustsysHomeDir <-   unix("echo $CLUSTSYSPATH")

if (ClustsysHomeDir != "") ClustsysHomeDir <- unix("echo $HOME/Clustsys")

SplusSource <- paste(ClustsysHomeDir, "src/Splus/", sep="/")
CObjectfile <- paste(ClustsysHomeDir, "src/C/cluster-analysis.o", sep="/")

Sfile <- function(filename,
                  SourceDir=SplusSource) {
      paste(SplusSource, filename, sep="")
}
                  

source(Sfile('parameters.S'))
source(Sfile('clustsys.S'))
source(Sfile('Cinterface.S'))

# source(Sfile('goodness.S'))  # old congruence measure

source(Sfile('congruence.S'))
source(Sfile('output.S'))
source(Sfile('database.S'))
source(Sfile('plot-parameters.S'))
source(Sfile('plot.S'))
source(Sfile('matrix-operations.S'))
source(Sfile('paper.S'))
source(Sfile('user-interface.S'))

# load the .o file

cload <- function() {
   dyn.load(CObjectfile)
}

Cfunctions <- bload()
