
# Start up the windowing interfaces

start.ui <- function (gui="athena") {
     motif()
     help.start(gui=gui)
}



# Show all the systems that give have NA values

report.na <- function(database=clustsys.data) {

   for (m in exp.param[["clustering.methods"]]) {
      for (q in exp.param$querytype) {
        d <- extract.a.dataset(database, query=q, method=m)
        if (length(d) > 0) {
	    na.set <- na.rows(as.matrix(d))
	    if (length(na.set) > 0) {
	      print(paste(m, q, sep=" === "))
	      print(na.set)
	    }
       }
      }
   }
}
